Bug 210306 - sysutils/moosefs-*: Want to update to 3.0 - change in ports infrastructure needed?
Summary: sysutils/moosefs-*: Want to update to 3.0 - change in ports infrastructure ne...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-15 14:46 UTC by MooseFS FreeBSD Team
Modified: 2016-07-27 16:38 UTC (History)
3 users (show)

See Also:


Attachments
MooseFS 3.0.79 FreeBSD Ports shar archive (21.98 KB, text/plain)
2016-07-09 01:04 UTC, MooseFS FreeBSD Team
freebsd: maintainer-approval+
Details
MooseFS 3.0.80 FreeBSD Ports shar archive (21.98 KB, text/plain)
2016-07-15 14:21 UTC, MooseFS FreeBSD Team
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description MooseFS FreeBSD Team 2016-06-15 14:46:20 UTC

    
Comment 1 Mark Felder freebsd_committer 2016-06-15 14:56:06 UTC
(In reply to MooseFS from comment #0)

this comment seems to be empty
Comment 2 MooseFS FreeBSD Team 2016-06-15 14:57:56 UTC
Sorry about this, I accidentally hit [enter] ;)

I'll update it in a minute.
Comment 3 MooseFS FreeBSD Team 2016-06-15 15:03:20 UTC
Hi,

a week ago we announced (https://moosefs.com/news/2016-06-08.1.html) releasing MooseFS 3.0 version as stable.

We want to update FreeBSD ports tree with new version, we already do have working, tested, and passing QA ports (portlint -ac, poudriere testport).

MooseFS consists of a few components - Master Server, Chunk Server, Client (mount), ...

The issue is, that MooseFS 3 components are not compatible with MooseFS 2, e.g. If you had MooseFS Master Server 2.0.89 running and you wanted to connect MooseFS 3.0.78 client - you would get an error "incompatible master version".

Of course the supported order of the upgrade is published on our website (1. Metaloggers, 2. Master Server, 3. Chunkservers, 4. Clients/Mounts), but when user e.g. would install a new client, he could have a problem.

We already faced this problem when released MFS 3.0 in our "stable" linux repository, we had to rollback "stable" to 2.0 and create moosefs-2 and moosefs-3 repositories instead of stable.

If I update moosefs-* ports to 3.0, users may encounter some issues.

If I publish new ports as moosefs3-* with no change of moosefs-* to moosefs2-*, users won't notice any change and will still use old, 2.0 version...

What would you advice us to do in this case? Should we change the ports structure e.g. to moosefs2-* and moosefs3-* ?

Peter from MooseFS Team
Comment 4 Mark Felder freebsd_committer 2016-06-15 15:51:31 UTC
(In reply to MooseFS from comment #3)

> If I publish new ports as moosefs3-* with no change of moosefs-* to moosefs2-*, users won't notice any change and will still use old, 2.0 version...

Do you really want users to be blindly upgraded to the next major version? I would expect users to make this decision themselves.

My suggestion would be to leave moosefs-* alone and create new moosefs3-* ports
Comment 5 MooseFS FreeBSD Team 2016-06-15 16:07:03 UTC
(In reply to Mark Felder from comment #4)

> Do you really want users to be blindly upgraded to the next major version? I would expect users to make this decision themselves.

Maybe I didn't expressed myself precisely - of course I also reckon, that such decision should be made by Users consciously.

We are going to release this or at the beginning of next year MooseFS 4.0, and then it would be moosefs-*, moosefs3-* and moosefs4-*... strange a bit.

Don't you think that putting at this moment ports in order would be better? I mean to change moosefs-* to moosefs2-* and add moosefs3-* now.

It looks more clear for me (like lang/python2 and lang/python3).

Best,
Peter from MooseFS Team
Comment 6 Mathieu Arnold freebsd_committer 2016-06-15 17:25:11 UTC
Read all the text twice, don't see what warrants portmgr having a look at it.
Comment 7 MooseFS FreeBSD Team 2016-06-15 18:50:12 UTC
(In reply to Mathieu Arnold from comment #6)

I accidentally had selected improper "component". Sorry about this (it's a bit connected with comment #2).
Comment 8 Mark Felder freebsd_committer 2016-06-27 14:08:35 UTC
(In reply to MooseFS from comment #5)

I suppose that's fine. We can do a move. Do you want me to facilitate this?
Comment 9 MooseFS FreeBSD Team 2016-06-27 14:10:48 UTC
Yes, that would be great! :)

Peter
Comment 10 MooseFS FreeBSD Team 2016-06-30 15:39:27 UTC
(In reply to Mark Felder from comment #8)

Mark,

I've updated our GitHub MooseFS ports for FreeBSD repo to 3.0.78 (if you'd like to take a look).

They pass QA (portlint, poudriere testport) - of course they are not in moosefs3-* structure yet, but they are ready to be released in terms of their content.

https://github.com/moosefs/FreeBSD-ports

https://github.com/moosefs/FreeBSD-ports/commit/4fe1f1f8596c4391cd8d45b54c1c4a7557ba1d25

Regards,
Peter from MooseFS Team
Comment 11 commit-hook freebsd_committer 2016-07-07 20:59:22 UTC
A commit references this bug:

Author: feld
Date: Thu Jul  7 20:58:24 UTC 2016
New revision: 418199
URL: https://svnweb.freebsd.org/changeset/ports/418199

Log:
  Move moosefs ports to moosefs2

  This makes room for moosefs3-* and moosefs4-* ports. We do not want end
  users blindly upgrading moosefs across major and have issues or data
  loss.

  PR:		210306

Changes:
  head/MOVED
  head/sysutils/Makefile
  head/sysutils/moosefs-cgi/
  head/sysutils/moosefs-cgiserv/
  head/sysutils/moosefs-chunkserver/
  head/sysutils/moosefs-cli/
  head/sysutils/moosefs-client/
  head/sysutils/moosefs-master/
  head/sysutils/moosefs-metalogger/
  head/sysutils/moosefs-netdump/
  head/sysutils/moosefs2-cgi/
  head/sysutils/moosefs2-cgi/Makefile
  head/sysutils/moosefs2-cgiserv/
  head/sysutils/moosefs2-cgiserv/Makefile
  head/sysutils/moosefs2-chunkserver/
  head/sysutils/moosefs2-chunkserver/Makefile
  head/sysutils/moosefs2-cli/
  head/sysutils/moosefs2-cli/Makefile
  head/sysutils/moosefs2-client/
  head/sysutils/moosefs2-client/Makefile
  head/sysutils/moosefs2-master/
  head/sysutils/moosefs2-master/Makefile
  head/sysutils/moosefs2-metalogger/
  head/sysutils/moosefs2-metalogger/Makefile
  head/sysutils/moosefs2-netdump/
  head/sysutils/moosefs2-netdump/Makefile
Comment 12 Mark Felder freebsd_committer 2016-07-07 20:59:56 UTC
Hello,

The move has been completed. Next step will be to copy the existing moosefs ports to moosefs3-* and make the minor changes needed. I am hoping to let this sit long enough for you to fully investigate any potential problems, but all my build tests were successful.
Comment 13 MooseFS FreeBSD Team 2016-07-08 13:58:00 UTC
Hi,

many thanks for your work! :)

My builds were also successful. I pulled your changes to our 2.0 ports GitHub repo:
https://github.com/moosefs/FreeBSD-ports/commits/2.0.x

I also updated our 3.0 ports GitHub repo, so now it is consistent with new ports structure:
https://github.com/moosefs/FreeBSD-ports/commits/master

At this point I think they (3.0 ports) are ready to be released (basic QA, i.e. portlint, poudriere testport passes). Could you please check them if you had some spare time?

One question: They should be released via normal path, right (new bug on Bugzilla, shar file attached, ...)?

Once again many thanks for your time spent on this, our whole team really appreciate it!

Peter
Comment 14 Mark Felder freebsd_committer 2016-07-08 15:19:31 UTC
Can you get me a shar of the moosefs3 ports? I should be able to handle it from there.
Comment 15 MooseFS FreeBSD Team 2016-07-09 01:04:46 UTC
Created attachment 172264 [details]
MooseFS 3.0.79 FreeBSD Ports shar archive

Sure, please find in the attachment!

Peter
Comment 16 MooseFS FreeBSD Team 2016-07-15 14:21:43 UTC
Created attachment 172555 [details]
MooseFS 3.0.80 FreeBSD Ports shar archive

Hi,

in the mean time we updated MooseFS to 3.0.80.
Attaching a new shar archive.

Peter
Comment 17 MooseFS FreeBSD Team 2016-07-23 14:36:16 UTC
Feld, will it be possible to merge our moosefs3-* ports into FreeBSD ports tree soon?

Peter
Comment 18 commit-hook freebsd_committer 2016-07-26 16:51:48 UTC
A commit references this bug:

Author: feld
Date: Tue Jul 26 16:50:55 UTC 2016
New revision: 419132
URL: https://svnweb.freebsd.org/changeset/ports/419132

Log:
  MooseFS is a Fault tolerant, High Available, Highly Performing, Scale-Out,
  network distributed file system. It spreads data over several physical commodity
  servers, which are visible to the user as one resource.

  For standard file operations MooseFS acts like any other Unix-like file system.

  This port provides: MooseFS CGI monitor.

  WWW: https://moosefs.com/

  PR:		210306
  Submitted by:	Jakub Kruszona-Zawadzki <acid@moosefs.com> ; Based on port created by: Chifeng Qu <chifeng@gmail.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/moosefs3-cgi/
  head/sysutils/moosefs3-cgi/Makefile
  head/sysutils/moosefs3-cgi/pkg-descr
  head/sysutils/moosefs3-cgi/pkg-plist
Comment 19 commit-hook freebsd_committer 2016-07-26 16:56:50 UTC
A commit references this bug:

Author: feld
Date: Tue Jul 26 16:56:08 UTC 2016
New revision: 419134
URL: https://svnweb.freebsd.org/changeset/ports/419134

Log:
  Add remaining moosefs3-* ports to the ports tree

  PR:		210306
  Submitted by:	Jakub Kruszona-Zawadzki <acid@moosefs.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/moosefs3-cgiserv/
  head/sysutils/moosefs3-cgiserv/Makefile
  head/sysutils/moosefs3-cgiserv/pkg-descr
  head/sysutils/moosefs3-cgiserv/pkg-plist
  head/sysutils/moosefs3-chunkserver/
  head/sysutils/moosefs3-chunkserver/Makefile
  head/sysutils/moosefs3-chunkserver/pkg-descr
  head/sysutils/moosefs3-chunkserver/pkg-plist
  head/sysutils/moosefs3-cli/
  head/sysutils/moosefs3-cli/Makefile
  head/sysutils/moosefs3-cli/pkg-descr
  head/sysutils/moosefs3-cli/pkg-plist
  head/sysutils/moosefs3-client/
  head/sysutils/moosefs3-client/Makefile
  head/sysutils/moosefs3-client/pkg-descr
  head/sysutils/moosefs3-client/pkg-plist
  head/sysutils/moosefs3-master/
  head/sysutils/moosefs3-master/Makefile
  head/sysutils/moosefs3-master/distinfo
  head/sysutils/moosefs3-master/files/
  head/sysutils/moosefs3-master/files/mfscgiserv.in
  head/sysutils/moosefs3-master/files/mfschunkserver.in
  head/sysutils/moosefs3-master/files/mfsmaster.in
  head/sysutils/moosefs3-master/files/mfsmetalogger.in
  head/sysutils/moosefs3-master/files/pkg-message-cgiserv.in
  head/sysutils/moosefs3-master/files/pkg-message-chunkserver.in
  head/sysutils/moosefs3-master/files/pkg-message-master.in
  head/sysutils/moosefs3-master/files/pkg-message-metalogger.in
  head/sysutils/moosefs3-master/pkg-descr
  head/sysutils/moosefs3-master/pkg-plist
  head/sysutils/moosefs3-metalogger/
  head/sysutils/moosefs3-metalogger/Makefile
  head/sysutils/moosefs3-metalogger/pkg-descr
  head/sysutils/moosefs3-metalogger/pkg-plist
  head/sysutils/moosefs3-netdump/
  head/sysutils/moosefs3-netdump/Makefile
  head/sysutils/moosefs3-netdump/pkg-descr
  head/sysutils/moosefs3-netdump/pkg-plist
Comment 20 Mark Felder freebsd_committer 2016-07-26 16:57:14 UTC
The addport script in the ports tree was going to commit each moosefs port separately... didn't realize it did that.

Committed rest of the moosefs3 ports manually.


Please note that I added a CONFLICTS line to the moosefs-master port. You will want to take that change back upstream as well.
Comment 21 MooseFS FreeBSD Team 2016-07-27 15:48:05 UTC
Hi Mark,

thank you very, very much for your help with bringing MooseFS 3.0 to FreeBSD!


Best regards,
Peter
Comment 22 Mark Felder freebsd_committer 2016-07-27 16:36:22 UTC
You're welcome and I apologize for the delay!
Comment 23 MooseFS FreeBSD Team 2016-07-27 16:38:28 UTC
It's no problem, don't worry :)

Best,
Peter